Download it now!
Bug 119081 - RTF paste not working when attempting to paste under an embedded table
Summary: RTF paste not working when attempting to paste under an embedded table
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.0.0.3 release
Hardware: All All
: medium normal
Assignee: Miklos Vajna
URL:
Whiteboard: target:7.1.0 target:7.0.0.1 target:6.4.6
Keywords: bibisected, regression
Depends on:
Blocks: RTF-Paste
  Show dependency treegraph
 
Reported: 2018-08-03 12:40 UTC by Telesto
Modified: 2020-06-30 12:57 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
Example (8.79 KB, application/vnd.oasis.opendocument.text)
2018-08-03 12:40 UTC, Telesto
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Telesto 2018-08-03 12:40:03 UTC
Description:
RTF paste not working when attempting to paste under an embedded table

Steps to Reproduce:
1. Open the attached file
2. Copy ABC
2. Go to cell A2 of the embedded (green) table
3. Press Arrow down (cursor is below the green table)
4. CTRL+SHIFT+V -> RTF Paste -> Not working
5. Press CTRL+V -> working

Actual Results:
RTF paste isn't working

Expected Results:
Should be working


Reproducible: Always


User Profile Reset: No



Additional Info:
Version: 6.2.0.0.alpha0+
Build ID: 76bf3939b0583212a56c317c85aea110f8ac6fee
CPU threads: 4; OS: Mac OS X 10.12.6; UI render: default; 
TinderBox: MacOSX-x86_64@49-TDF, Branch:master, Time: 2018-07-27_06:01:47
Locale: nl-NL (nl_NL.UTF-8); Calc: group threaded
Comment 1 Telesto 2018-08-03 12:40:26 UTC
Created attachment 143954 [details]
Example
Comment 2 Roman Kuznetsov 2018-08-05 10:19:52 UTC
confirm in 

Version: 6.1.0.3 (x64)
Build ID: efb621ed25068d70781dc026f7e9c5187a4decd1
CPU threads: 4; OS: Windows 10.0; UI render: GL; 
Locale: ru-RU (ru_RU); Calc: CL
Comment 3 Xisco Faulí 2018-08-07 18:25:56 UTC
Also reproduced in

Version 4.1.0.0.alpha0+ (Build ID: efca6f15609322f62a35619619a6d5fe5c9bd5a)

but not in

LibreOffice 3.3.0 
OOO330m19 (Build:6)
tag libreoffice-3.3.0.4
Comment 4 QA Administrators 2019-08-19 06:56:45 UTC Comment hidden (obsolete)
Comment 5 Buovjaga 2020-06-06 15:28:57 UTC
Bibisected with Linux 43all to range https://git.libreoffice.org/core/+log/3d4288c1c0b593421c7f6619c88584bdb7c53337..4026e1824de8ff9b5d006ae6eba491f91bc4e599

This jumps out: https://git.libreoffice.org/core/+/ed654c4aa7f9f10fcb16127349009bc0c38b12e8%5E%21/
Revert "fdo#43869 use the old rtf importer for paste"

This reverts commit bb147bbb801b53dba8928340df7e2aa2d4545349. It's no
longer needed, now the new importer supports importing to an existing
document.

Adding Cc: to Miklos Vajna
Comment 6 Commit Notification 2020-06-23 07:03:34 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/e0d0274c2b806f5148b413926ec2e58c75ce04a1

tdf#119081 sw: fix RTF paste into outer table cell

It will be available in 7.1.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 Commit Notification 2020-06-23 08:50:43 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "libreoffice-7-0":

https://git.libreoffice.org/core/commit/ab6a5c9eb8eee1d3efcb8f46e16e172ea8f4b1d4

tdf#119081 sw: fix RTF paste into outer table cell

It will be available in 7.0.0.1.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 8 Buovjaga 2020-06-24 09:28:24 UTC
Verified, thanks

Arch Linux 64-bit
Version: 7.1.0.0.alpha0+
Build ID: cb72269f93a20dd175dae3dcf30740c9931e7684
CPU threads: 8; OS: Linux 5.7; UI render: default; VCL: kf5
Locale: fi-FI (fi_FI.UTF-8); UI: en-US
Calc: threaded
Built on 24 June 2020
Comment 9 Commit Notification 2020-06-30 12:57:29 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "libreoffice-6-4":

https://git.libreoffice.org/core/commit/7fffa25b37006aea218d8fa709f148168efee053

tdf#119081 sw: fix RTF paste into outer table cell

It will be available in 6.4.6.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.